from django.contrib import admin
from .models import Idea, Suggestion

# Register your models here.


class IdeaAdmin(admin.ModelAdmin):
    model = Idea
    list_display = ['idea_text', 'idea_date', 'idea_edit_date', 'idea_user', 'idea_anonymous', 'idea_active', 'idea_validated', 'how_creative_idea', 'how_easy_to_realize_idea']
    list_editable = ['idea_active', 'idea_validated', 'idea_active', 'idea_validated', 'how_creative_idea', 'how_easy_to_realize_idea']


class SuggestionAdmin(admin.ModelAdmin):
    model = Idea
    list_display = ['sugg_text', 'idea', 'sugg_user', 'sugg_date', 'idea_active', 'idea_validated']
    list_editable = ['idea_active', 'idea_validated']

admin.site.register(Idea, IdeaAdmin)
admin.site.register(Suggestion, SuggestionAdmin)
